tests: invoke full_cleanup from script trap handlers, use modprobe -r
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_5app_streaming_kill_relayd
index 00778f83a1d55ab2d526471a1df5ca49cd8033f4..d0121e32e429df5e05a691b7df00425e2d867eae 100755 (executable)
@@ -57,8 +57,6 @@ function check_sessiond()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
@@ -79,7 +77,6 @@ function start_sessiond()
 function start_relayd
 {
        local opt=$1
-       local RELAYD_BIN="lttng-relayd"
 
        if [ -z $(pgrep --full lt-$RELAYD_BIN) ]; then
                $TESTDIR/../src/bin/lttng-relayd/$RELAYD_BIN $opt >$LOG_FILE_RELAYD 2>&1 &
@@ -147,11 +144,10 @@ function sighandler()
 {
        cleanup
        #rm $LOG_FILE_SESSIOND $LOG_FILE_RELAYD
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.025671 seconds and 5 git commands to generate.